# -*- coding: utf-8 -*-
# Copyright 2023 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from google.cloud.dialogflow import gapic_version as package_version

__version__ = package_version.__version__


from google.cloud.dialogflow_v2.services.agents.async_client import AgentsAsyncClient
from google.cloud.dialogflow_v2.services.agents.client import AgentsClient
from google.cloud.dialogflow_v2.services.answer_records.async_client import (
    AnswerRecordsAsyncClient,
)
from google.cloud.dialogflow_v2.services.answer_records.client import (
    AnswerRecordsClient,
)
from google.cloud.dialogflow_v2.services.contexts.async_client import (
    ContextsAsyncClient,
)
from google.cloud.dialogflow_v2.services.contexts.client import ContextsClient
from google.cloud.dialogflow_v2.services.conversation_datasets.async_client import (
    ConversationDatasetsAsyncClient,
)
from google.cloud.dialogflow_v2.services.conversation_datasets.client import (
    ConversationDatasetsClient,
)
from google.cloud.dialogflow_v2.services.conversation_models.async_client import (
    ConversationModelsAsyncClient,
)
from google.cloud.dialogflow_v2.services.conversation_models.client import (
    ConversationModelsClient,
)
from google.cloud.dialogflow_v2.services.conversation_profiles.async_client import (
    ConversationProfilesAsyncClient,
)
from google.cloud.dialogflow_v2.services.conversation_profiles.client import (
    ConversationProfilesClient,
)
from google.cloud.dialogflow_v2.services.conversations.async_client import (
    ConversationsAsyncClient,
)
from google.cloud.dialogflow_v2.services.conversations.client import ConversationsClient
from google.cloud.dialogflow_v2.services.documents.async_client import (
    DocumentsAsyncClient,
)
from google.cloud.dialogflow_v2.services.documents.client import DocumentsClient
from google.cloud.dialogflow_v2.services.entity_types.async_client import (
    EntityTypesAsyncClient,
)
from google.cloud.dialogflow_v2.services.entity_types.client import EntityTypesClient
from google.cloud.dialogflow_v2.services.environments.async_client import (
    EnvironmentsAsyncClient,
)
from google.cloud.dialogflow_v2.services.environments.client import EnvironmentsClient
from google.cloud.dialogflow_v2.services.fulfillments.async_client import (
    FulfillmentsAsyncClient,
)
from google.cloud.dialogflow_v2.services.fulfillments.client import FulfillmentsClient
from google.cloud.dialogflow_v2.services.intents.async_client import IntentsAsyncClient
from google.cloud.dialogflow_v2.services.intents.client import IntentsClient
from google.cloud.dialogflow_v2.services.knowledge_bases.async_client import (
    KnowledgeBasesAsyncClient,
)
from google.cloud.dialogflow_v2.services.knowledge_bases.client import (
    KnowledgeBasesClient,
)
from google.cloud.dialogflow_v2.services.participants.async_client import (
    ParticipantsAsyncClient,
)
from google.cloud.dialogflow_v2.services.participants.client import ParticipantsClient
from google.cloud.dialogflow_v2.services.session_entity_types.async_client import (
    SessionEntityTypesAsyncClient,
)
from google.cloud.dialogflow_v2.services.session_entity_types.client import (
    SessionEntityTypesClient,
)
from google.cloud.dialogflow_v2.services.sessions.async_client import (
    SessionsAsyncClient,
)
from google.cloud.dialogflow_v2.services.sessions.client import SessionsClient
from google.cloud.dialogflow_v2.services.versions.async_client import (
    VersionsAsyncClient,
)
from google.cloud.dialogflow_v2.services.versions.client import VersionsClient
from google.cloud.dialogflow_v2.types.agent import (
    Agent,
    DeleteAgentRequest,
    ExportAgentRequest,
    ExportAgentResponse,
    GetAgentRequest,
    GetValidationResultRequest,
    ImportAgentRequest,
    RestoreAgentRequest,
    SearchAgentsRequest,
    SearchAgentsResponse,
    SetAgentRequest,
    TrainAgentRequest,
)
from google.cloud.dialogflow_v2.types.answer_record import (
    AgentAssistantFeedback,
    AgentAssistantRecord,
    AnswerFeedback,
    AnswerRecord,
    ListAnswerRecordsRequest,
    ListAnswerRecordsResponse,
    UpdateAnswerRecordRequest,
)
from google.cloud.dialogflow_v2.types.audio_config import (
    AudioEncoding,
    InputAudioConfig,
    OutputAudioConfig,
    OutputAudioEncoding,
    SpeechContext,
    SpeechModelVariant,
    SpeechToTextConfig,
    SpeechWordInfo,
    SsmlVoiceGender,
    SynthesizeSpeechConfig,
    TelephonyDtmf,
    TelephonyDtmfEvents,
    VoiceSelectionParams,
)
from google.cloud.dialogflow_v2.types.context import (
    Context,
    CreateContextRequest,
    DeleteAllContextsRequest,
    DeleteContextRequest,
    GetContextRequest,
    ListContextsRequest,
    ListContextsResponse,
    UpdateContextRequest,
)
from google.cloud.dialogflow_v2.types.conversation import (
    CompleteConversationRequest,
    Conversation,
    ConversationPhoneNumber,
    CreateConversationRequest,
    GenerateStatelessSummaryRequest,
    GenerateStatelessSummaryResponse,
    GetConversationRequest,
    ListConversationsRequest,
    ListConversationsResponse,
    ListMessagesRequest,
    ListMessagesResponse,
    SearchKnowledgeAnswer,
    SearchKnowledgeRequest,
    SearchKnowledgeResponse,
    SuggestConversationSummaryRequest,
    SuggestConversationSummaryResponse,
)
from google.cloud.dialogflow_v2.types.conversation_dataset import (
    ConversationDataset,
    ConversationInfo,
    CreateConversationDatasetOperationMetadata,
    CreateConversationDatasetRequest,
    DeleteConversationDatasetOperationMetadata,
    DeleteConversationDatasetRequest,
    GetConversationDatasetRequest,
    ImportConversationDataOperationMetadata,
    ImportConversationDataOperationResponse,
    ImportConversationDataRequest,
    InputConfig,
    ListConversationDatasetsRequest,
    ListConversationDatasetsResponse,
)
from google.cloud.dialogflow_v2.types.conversation_event import ConversationEvent
from google.cloud.dialogflow_v2.types.conversation_model import (
    ArticleSuggestionModelMetadata,
    ConversationModel,
    ConversationModelEvaluation,
    CreateConversationModelEvaluationOperationMetadata,
    CreateConversationModelEvaluationRequest,
    CreateConversationModelOperationMetadata,
    CreateConversationModelRequest,
    DeleteConversationModelOperationMetadata,
    DeleteConversationModelRequest,
    DeployConversationModelOperationMetadata,
    DeployConversationModelRequest,
    EvaluationConfig,
    GetConversationModelEvaluationRequest,
    GetConversationModelRequest,
    InputDataset,
    ListConversationModelEvaluationsRequest,
    ListConversationModelEvaluationsResponse,
    ListConversationModelsRequest,
    ListConversationModelsResponse,
    SmartReplyMetrics,
    SmartReplyModelMetadata,
    UndeployConversationModelOperationMetadata,
    UndeployConversationModelRequest,
)
from google.cloud.dialogflow_v2.types.conversation_profile import (
    AutomatedAgentConfig,
    ClearSuggestionFeatureConfigOperationMetadata,
    ClearSuggestionFeatureConfigRequest,
    ConversationProfile,
    CreateConversationProfileRequest,
    DeleteConversationProfileRequest,
    GetConversationProfileRequest,
    HumanAgentAssistantConfig,
    HumanAgentHandoffConfig,
    ListConversationProfilesRequest,
    ListConversationProfilesResponse,
    LoggingConfig,
    NotificationConfig,
    SetSuggestionFeatureConfigOperationMetadata,
    SetSuggestionFeatureConfigRequest,
    SuggestionFeature,
    UpdateConversationProfileRequest,
)
from google.cloud.dialogflow_v2.types.document import (
    CreateDocumentRequest,
    DeleteDocumentRequest,
    Document,
    ExportDocumentRequest,
    ExportOperationMetadata,
    GetDocumentRequest,
    ImportDocumentsRequest,
    ImportDocumentsResponse,
    ImportDocumentTemplate,
    KnowledgeOperationMetadata,
    ListDocumentsRequest,
    ListDocumentsResponse,
    ReloadDocumentRequest,
    UpdateDocumentRequest,
)
from google.cloud.dialogflow_v2.types.entity_type import (
    BatchCreateEntitiesRequest,
    BatchDeleteEntitiesRequest,
    BatchDeleteEntityTypesRequest,
    BatchUpdateEntitiesRequest,
    BatchUpdateEntityTypesRequest,
    BatchUpdateEntityTypesResponse,
    CreateEntityTypeRequest,
    DeleteEntityTypeRequest,
    EntityType,
    EntityTypeBatch,
    GetEntityTypeRequest,
    ListEntityTypesRequest,
    ListEntityTypesResponse,
    UpdateEntityTypeRequest,
)
from google.cloud.dialogflow_v2.types.environment import (
    CreateEnvironmentRequest,
    DeleteEnvironmentRequest,
    Environment,
    EnvironmentHistory,
    GetEnvironmentHistoryRequest,
    GetEnvironmentRequest,
    ListEnvironmentsRequest,
    ListEnvironmentsResponse,
    TextToSpeechSettings,
    UpdateEnvironmentRequest,
)
from google.cloud.dialogflow_v2.types.fulfillment import (
    Fulfillment,
    GetFulfillmentRequest,
    UpdateFulfillmentRequest,
)
from google.cloud.dialogflow_v2.types.gcs import GcsDestination, GcsSources
from google.cloud.dialogflow_v2.types.human_agent_assistant_event import (
    HumanAgentAssistantEvent,
)
from google.cloud.dialogflow_v2.types.intent import (
    BatchDeleteIntentsRequest,
    BatchUpdateIntentsRequest,
    BatchUpdateIntentsResponse,
    CreateIntentRequest,
    DeleteIntentRequest,
    GetIntentRequest,
    Intent,
    IntentBatch,
    IntentView,
    ListIntentsRequest,
    ListIntentsResponse,
    UpdateIntentRequest,
)
from google.cloud.dialogflow_v2.types.knowledge_base import (
    CreateKnowledgeBaseRequest,
    DeleteKnowledgeBaseRequest,
    GetKnowledgeBaseRequest,
    KnowledgeBase,
    ListKnowledgeBasesRequest,
    ListKnowledgeBasesResponse,
    UpdateKnowledgeBaseRequest,
)
from google.cloud.dialogflow_v2.types.participant import (
    AnalyzeContentRequest,
    AnalyzeContentResponse,
    AnnotatedMessagePart,
    ArticleAnswer,
    AssistQueryParameters,
    AutomatedAgentReply,
    CreateParticipantRequest,
    DialogflowAssistAnswer,
    DtmfParameters,
    FaqAnswer,
    GetParticipantRequest,
    InputTextConfig,
    IntentSuggestion,
    ListParticipantsRequest,
    ListParticipantsResponse,
    Message,
    MessageAnnotation,
    OutputAudio,
    Participant,
    SmartReplyAnswer,
    StreamingAnalyzeContentRequest,
    StreamingAnalyzeContentResponse,
    SuggestArticlesRequest,
    SuggestArticlesResponse,
    SuggestFaqAnswersRequest,
    SuggestFaqAnswersResponse,
    SuggestionInput,
    SuggestionResult,
    SuggestSmartRepliesRequest,
    SuggestSmartRepliesResponse,
    UpdateParticipantRequest,
)
from google.cloud.dialogflow_v2.types.session import (
    CloudConversationDebuggingInfo,
    DetectIntentRequest,
    DetectIntentResponse,
    EventInput,
    QueryInput,
    QueryParameters,
    QueryResult,
    Sentiment,
    SentimentAnalysisRequestConfig,
    SentimentAnalysisResult,
    StreamingDetectIntentRequest,
    StreamingDetectIntentResponse,
    StreamingRecognitionResult,
    TextInput,
)
from google.cloud.dialogflow_v2.types.session_entity_type import (
    CreateSessionEntityTypeRequest,
    DeleteSessionEntityTypeRequest,
    GetSessionEntityTypeRequest,
    ListSessionEntityTypesRequest,
    ListSessionEntityTypesResponse,
    SessionEntityType,
    UpdateSessionEntityTypeRequest,
)
from google.cloud.dialogflow_v2.types.validation_result import (
    ValidationError,
    ValidationResult,
)
from google.cloud.dialogflow_v2.types.version import (
    CreateVersionRequest,
    DeleteVersionRequest,
    GetVersionRequest,
    ListVersionsRequest,
    ListVersionsResponse,
    UpdateVersionRequest,
    Version,
)
from google.cloud.dialogflow_v2.types.webhook import (
    OriginalDetectIntentRequest,
    WebhookRequest,
    WebhookResponse,
)

__all__ = (
    "AgentsClient",
    "AgentsAsyncClient",
    "AnswerRecordsClient",
    "AnswerRecordsAsyncClient",
    "ContextsClient",
    "ContextsAsyncClient",
    "ConversationDatasetsClient",
    "ConversationDatasetsAsyncClient",
    "ConversationModelsClient",
    "ConversationModelsAsyncClient",
    "ConversationProfilesClient",
    "ConversationProfilesAsyncClient",
    "ConversationsClient",
    "ConversationsAsyncClient",
    "DocumentsClient",
    "DocumentsAsyncClient",
    "EntityTypesClient",
    "EntityTypesAsyncClient",
    "EnvironmentsClient",
    "EnvironmentsAsyncClient",
    "FulfillmentsClient",
    "FulfillmentsAsyncClient",
    "IntentsClient",
    "IntentsAsyncClient",
    "KnowledgeBasesClient",
    "KnowledgeBasesAsyncClient",
    "ParticipantsClient",
    "ParticipantsAsyncClient",
    "SessionEntityTypesClient",
    "SessionEntityTypesAsyncClient",
    "SessionsClient",
    "SessionsAsyncClient",
    "VersionsClient",
    "VersionsAsyncClient",
    "Agent",
    "DeleteAgentRequest",
    "ExportAgentRequest",
    "ExportAgentResponse",
    "GetAgentRequest",
    "GetValidationResultRequest",
    "ImportAgentRequest",
    "RestoreAgentRequest",
    "SearchAgentsRequest",
    "SearchAgentsResponse",
    "SetAgentRequest",
    "TrainAgentRequest",
    "AgentAssistantFeedback",
    "AgentAssistantRecord",
    "AnswerFeedback",
    "AnswerRecord",
    "ListAnswerRecordsRequest",
    "ListAnswerRecordsResponse",
    "UpdateAnswerRecordRequest",
    "InputAudioConfig",
    "OutputAudioConfig",
    "SpeechContext",
    "SpeechToTextConfig",
    "SpeechWordInfo",
    "SynthesizeSpeechConfig",
    "TelephonyDtmfEvents",
    "VoiceSelectionParams",
    "AudioEncoding",
    "OutputAudioEncoding",
    "SpeechModelVariant",
    "SsmlVoiceGender",
    "TelephonyDtmf",
    "Context",
    "CreateContextRequest",
    "DeleteAllContextsRequest",
    "DeleteContextRequest",
    "GetContextRequest",
    "ListContextsRequest",
    "ListContextsResponse",
    "UpdateContextRequest",
    "CompleteConversationRequest",
    "Conversation",
    "ConversationPhoneNumber",
    "CreateConversationRequest",
    "GenerateStatelessSummaryRequest",
    "GenerateStatelessSummaryResponse",
    "GetConversationRequest",
    "ListConversationsRequest",
    "ListConversationsResponse",
    "ListMessagesRequest",
    "ListMessagesResponse",
    "SearchKnowledgeAnswer",
    "SearchKnowledgeRequest",
    "SearchKnowledgeResponse",
    "SuggestConversationSummaryRequest",
    "SuggestConversationSummaryResponse",
    "ConversationDataset",
    "ConversationInfo",
    "CreateConversationDatasetOperationMetadata",
    "CreateConversationDatasetRequest",
    "DeleteConversationDatasetOperationMetadata",
    "DeleteConversationDatasetRequest",
    "GetConversationDatasetRequest",
    "ImportConversationDataOperationMetadata",
    "ImportConversationDataOperationResponse",
    "ImportConversationDataRequest",
    "InputConfig",
    "ListConversationDatasetsRequest",
    "ListConversationDatasetsResponse",
    "ConversationEvent",
    "ArticleSuggestionModelMetadata",
    "ConversationModel",
    "ConversationModelEvaluation",
    "CreateConversationModelEvaluationOperationMetadata",
    "CreateConversationModelEvaluationRequest",
    "CreateConversationModelOperationMetadata",
    "CreateConversationModelRequest",
    "DeleteConversationModelOperationMetadata",
    "DeleteConversationModelRequest",
    "DeployConversationModelOperationMetadata",
    "DeployConversationModelRequest",
    "EvaluationConfig",
    "GetConversationModelEvaluationRequest",
    "GetConversationModelRequest",
    "InputDataset",
    "ListConversationModelEvaluationsRequest",
    "ListConversationModelEvaluationsResponse",
    "ListConversationModelsRequest",
    "ListConversationModelsResponse",
    "SmartReplyMetrics",
    "SmartReplyModelMetadata",
    "UndeployConversationModelOperationMetadata",
    "UndeployConversationModelRequest",
    "AutomatedAgentConfig",
    "ClearSuggestionFeatureConfigOperationMetadata",
    "ClearSuggestionFeatureConfigRequest",
    "ConversationProfile",
    "CreateConversationProfileRequest",
    "DeleteConversationProfileRequest",
    "GetConversationProfileRequest",
    "HumanAgentAssistantConfig",
    "HumanAgentHandoffConfig",
    "ListConversationProfilesRequest",
    "ListConversationProfilesResponse",
    "LoggingConfig",
    "NotificationConfig",
    "SetSuggestionFeatureConfigOperationMetadata",
    "SetSuggestionFeatureConfigRequest",
    "SuggestionFeature",
    "UpdateConversationProfileRequest",
    "CreateDocumentRequest",
    "DeleteDocumentRequest",
    "Document",
    "ExportDocumentRequest",
    "ExportOperationMetadata",
    "GetDocumentRequest",
    "ImportDocumentsRequest",
    "ImportDocumentsResponse",
    "ImportDocumentTemplate",
    "KnowledgeOperationMetadata",
    "ListDocumentsRequest",
    "ListDocumentsResponse",
    "ReloadDocumentRequest",
    "UpdateDocumentRequest",
    "BatchCreateEntitiesRequest",
    "BatchDeleteEntitiesRequest",
    "BatchDeleteEntityTypesRequest",
    "BatchUpdateEntitiesRequest",
    "BatchUpdateEntityTypesRequest",
    "BatchUpdateEntityTypesResponse",
    "CreateEntityTypeRequest",
    "DeleteEntityTypeRequest",
    "EntityType",
    "EntityTypeBatch",
    "GetEntityTypeRequest",
    "ListEntityTypesRequest",
    "ListEntityTypesResponse",
    "UpdateEntityTypeRequest",
    "CreateEnvironmentRequest",
    "DeleteEnvironmentRequest",
    "Environment",
    "EnvironmentHistory",
    "GetEnvironmentHistoryRequest",
    "GetEnvironmentRequest",
    "ListEnvironmentsRequest",
    "ListEnvironmentsResponse",
    "TextToSpeechSettings",
    "UpdateEnvironmentRequest",
    "Fulfillment",
    "GetFulfillmentRequest",
    "UpdateFulfillmentRequest",
    "GcsDestination",
    "GcsSources",
    "HumanAgentAssistantEvent",
    "BatchDeleteIntentsRequest",
    "BatchUpdateIntentsRequest",
    "BatchUpdateIntentsResponse",
    "CreateIntentRequest",
    "DeleteIntentRequest",
    "GetIntentRequest",
    "Intent",
    "IntentBatch",
    "ListIntentsRequest",
    "ListIntentsResponse",
    "UpdateIntentRequest",
    "IntentView",
    "CreateKnowledgeBaseRequest",
    "DeleteKnowledgeBaseRequest",
    "GetKnowledgeBaseRequest",
    "KnowledgeBase",
    "ListKnowledgeBasesRequest",
    "ListKnowledgeBasesResponse",
    "UpdateKnowledgeBaseRequest",
    "AnalyzeContentRequest",
    "AnalyzeContentResponse",
    "AnnotatedMessagePart",
    "ArticleAnswer",
    "AssistQueryParameters",
    "AutomatedAgentReply",
    "CreateParticipantRequest",
    "DialogflowAssistAnswer",
    "DtmfParameters",
    "FaqAnswer",
    "GetParticipantRequest",
    "InputTextConfig",
    "IntentSuggestion",
    "ListParticipantsRequest",
    "ListParticipantsResponse",
    "Message",
    "MessageAnnotation",
    "OutputAudio",
    "Participant",
    "SmartReplyAnswer",
    "StreamingAnalyzeContentRequest",
    "StreamingAnalyzeContentResponse",
    "SuggestArticlesRequest",
    "SuggestArticlesResponse",
    "SuggestFaqAnswersRequest",
    "SuggestFaqAnswersResponse",
    "SuggestionInput",
    "SuggestionResult",
    "SuggestSmartRepliesRequest",
    "SuggestSmartRepliesResponse",
    "UpdateParticipantRequest",
    "CloudConversationDebuggingInfo",
    "DetectIntentRequest",
    "DetectIntentResponse",
    "EventInput",
    "QueryInput",
    "QueryParameters",
    "QueryResult",
    "Sentiment",
    "SentimentAnalysisRequestConfig",
    "SentimentAnalysisResult",
    "StreamingDetectIntentRequest",
    "StreamingDetectIntentResponse",
    "StreamingRecognitionResult",
    "TextInput",
    "CreateSessionEntityTypeRequest",
    "DeleteSessionEntityTypeRequest",
    "GetSessionEntityTypeRequest",
    "ListSessionEntityTypesRequest",
    "ListSessionEntityTypesResponse",
    "SessionEntityType",
    "UpdateSessionEntityTypeRequest",
    "ValidationError",
    "ValidationResult",
    "CreateVersionRequest",
    "DeleteVersionRequest",
    "GetVersionRequest",
    "ListVersionsRequest",
    "ListVersionsResponse",
    "UpdateVersionRequest",
    "Version",
    "OriginalDetectIntentRequest",
    "WebhookRequest",
    "WebhookResponse",
)
